Skip to main content
Nowledge MemNowledge Mem
API ReferenceMemoriesEvolvesRevisionApply

Apply a Memory history correction

POST
/memories/evolves/revision/apply

Atomically reconcile the pair's direct EVOLVES edge, recompute visibility from the remaining replacement graph, and write an idempotent governance receipt.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/memories/evolves/revision/apply" \  -H "Content-Type: application/json" \  -d '{    "decision": "string",    "memory_ids": [      "string"    ],    "plan_id": "string"  }'
{  "already_applied": true,  "authoritative_memory_id": "string",  "decision": "string",  "labels_preserved": true,  "memories": [    {      "created_at": null,      "id": "string",      "is_latest": true,      "lifecycle_state": "string",      "space_id": "string",      "title": "string"    }  ],  "plan_id": "string",  "relation": "string",  "removed_edges": 0}